#   Copyright 2005-2006 Log4Delphi Project
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


# -------------------------------------------------------------------
#
# L O G 4 D E L P H I    C O N F I G U R A T I O N    F I L E
#
# -------------------------------------------------------------------
# This file is used to configure the Log4Delphi suite. The most
# common properties are given here, as an example.
# -------------------------------------------------------------------


# -------------------------------------------------------------------
#
#  I N T E R N A L    L O G G I N G
#
# -------------------------------------------------------------------
# This directive is used to control the Log4Delphi internal logging.
# Log4Delphi logs to a file named 'log4delphi.log'. If you wish to
# see what Log4Delphi is doing, set this to true to enable logging,
# otherwise set it to false to turn off internal logging.
# -------------------------------------------------------------------
log4delphi.debug=false


# -------------------------------------------------------------------
#
#  R O O T    L O G G E R
#
# -------------------------------------------------------------------
# These settings allow you to configure the root logger in 
# Log4Delphi.
#
# You need to specify the default priority level of the logger as
# well as an appender.
# -------------------------------------------------------------------
log4delphi.rootLogger=DEBUG, fileAppender


# -------------------------------------------------------------------
#
#  A P P E N D E R
#
# -------------------------------------------------------------------
# These settings allow you to configure the appender. You can set 
# various settings according to the type of appender you use. You
# specify the type by giving its class name.
#
# Appenders:
#
#    TFileAppender
#        o File   : The file the appender should log to.
#        o AppDir : Log file should go to application's directory, 
#                   essentially this is equal to 
#                   ExtractFileDir(Application.ExeName).
#        o Append : Should the appender append to the file or should 
#                   it rewrite the contents
#
#    TFileAppender
#        o MaxBackupIndex   : The number of files to use in the log
#                             rotation. This is 0 based so a value
#                             3 is actually 4 files named 0 to 3.
#
#        o MaxFileSize     : The max file size a log file should be
#                            before log rotation takes place. Size 
#                            is in bytes unless a specifier is given
#                            K for Kilobytes, M for Megabytes and
#                            G for Gigabytes.
#
# -------------------------------------------------------------------
log4delphi.appender.fileAppender=TFileAppender
#log4delphi.appender.fileAppender=TRollingFileAppender
#log4delphi.appender.fileAppender.MaxBackupIndex=3
#log4delphi.appender.fileAppender.MaxFileSize=1M
log4delphi.appender.fileAppender.File=app.log
log4delphi.appender.fileAppender.AppDir=true
log4delphi.appender.fileAppender.Append=true



# -------------------------------------------------------------------
#
#   L A Y O U T
#
# -------------------------------------------------------------------
# These settings allow you to configure the appender's layout. You can 
# set various settings according to the type of layout you use. You
# specify the type by giving its class name.
#
# Layouts:
#
#    TSimpleLayout
#    TXMLLayout
#    THTMLayout
#        o Title   : The title of the HTML document.
#    TPatternLayout
#        o Patter  : The conversion pattern that should be used.
# -------------------------------------------------------------------
#log4delphi.appender.fileAppender.layout=TSimpleLayout
#log4delphi.appender.fileAppender.layout=TXMLLayout
#log4delphi.appender.fileAppender.layout=THTMLLayout
#log4delphi.appender.fileAppender.layout.Title=Document Title
log4delphi.appender.fileAppender.layout=TPatternLayout
log4delphi.appender.fileAppender.layout.Pattern=%d{dd mmm yyyy hh:nn:ss:zzz} [%5p] %m%n



#
# Setup another logger named Logger2
#
#log4delphi.logger.Logger2=WARN, fileAppender2
#log4delphi.appender.fileAppender2=TFileAppender
#log4delphi.appender.fileAppender2.File=app2.log
#log4delphi.appender.fileAppender2.layout=TXMLLayout





#
# DO NOT USE this configuration, it has not been completed!!
#
#log4delphi.appender.dbAppender=TDBAppender
#log4delphi.appender.dbAppender.LogInserter=TDBXLogInserter
#log4delphi.appender.dbAppender.LogInserter.DBX.DriverName=
#log4delphi.appender.dbAppender.LogInserter=TBDEXLogInserter
#log4delphi.appender.dbAppender.LogInserter=TIBXLogInserter
#log4delphi.appender.dbAppender.LogInserter.IBX.DatabaseName=
#log4delphi.appender.dbAppender.LogInserter.Params.User_Name=
#log4delphi.appender.dbAppender.LogInserter.Params.Password=